package io.renren.modules.demo.service;


import io.renren.modules.sys.entity.AdvertOauthEntity;

import java.util.Map;

/**
 * Created by tianlei on  2022/5/30  17:09
 */
public interface SaveOrUpdateAdvertAccount {

    void saveAdvertAccountByGrantOath(AdvertOauthEntity advertOauthEntity, Map<String,String> accountTypeMap);

    void saveAdvertAccountByCancelOath(AdvertOauthEntity advertOauthEntity,Map<String,String> accountTypeMap);

    void saveAdvertAccountByRefreshOathToken(AdvertOauthEntity advertOauthEntity,Map<String,String> accountTypeMap);

    void saveAdvertAccount(AdvertOauthEntity advertOauthEntity,Map<String,String> accountTypeMap);
}
